problem installing systemEDGE on a Linux/Debian

Document ID : KB000043976
Last Modified Date : 14/02/2018
Show Technical Document Details

Issue:

unable to install an agent on a Linux/debian machine 

uname -a 

Linux xxxxxxxxxx 3.6.6-hyper-v-366 #1 SMP Thu Feb 27 18:22:12 CET 2014 x86_64 GNU/Linux 

 

the command "./ca-setup.sh " return:

CA-setup bootstrapper version 1.2.0.0 

./pifzip: <fd:0>: invalid distances set 

./pifzip: <fd:0>: invalid distances set 

Error: Product extraction failed. 

Please check the following possible reasons: 

 

1. There might be insufficient disk space in the temporary directory of the system. 

If this is the case, put the variable TMPDIR on a directory that contains as much 

free disk space as the size of the product you are installing. 

2. The self installing product might be corrupt. 

This can happen if the file is not transferred in binary mode. 

In this case replace your self installing file. 

 

Installation failed - lsm returned with exit code 1 

 

Cause:

the issue is with the file ca-sm-installer not transfered in BINARY mode. 

 

Resolution:

With Customer we transferred this file in BINARY mode to replace the old and started the setup. 

 

the setup started and we got now another Error, 

Error opening terminal: xterm. 

Installation failed - lsm returned with exit code 100 

 

to correcvt this last error, we set the TERM environment value to force the usage of the TERM 

 

export TERM=vt100 

 

and restarted the setup again that now go to complete and the sysedge is well installed on this Debian